com.google.gwt.core.server

## Class ServerGwtBridge.ClassInstantiatorBase

- java.lang.Object
- - com.google.gwt.core.server.ServerGwtBridge.ClassInstantiatorBase

All Implemented Interfaces:
  ServerGwtBridge.ClassInstantiator

Direct Known Subclasses:
  LocalizableInstantiator, ObjectNew

Enclosing class:
  ServerGwtBridge

    public abstract static class ServerGwtBridge.ClassInstantiatorBase
    extends java.lang.Object
    implements ServerGwtBridge.ClassInstantiator

Helper class that provides some wrappers for looking up and instantiating a class.

### Constructor Summary

Constructors
Constructor and Description
`ClassInstantiatorBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected <T> T` `tryCreate(java.lang.Class<T> clazz)`
`protected <T> T` `tryCreate(java.lang.String className)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.core.server.ServerGwtBridge.ClassInstantiator

`create`

### Constructor Detail

#### ClassInstantiatorBase

    public ClassInstantiatorBase()

### Method Detail

#### tryCreate

    protected <T> T tryCreate(java.lang.Class<T> clazz)

Type Parameters:
  `T` -
Parameters:
  `clazz` -
Returns:
  class instance or null

#### tryCreate

    protected <T> T tryCreate(java.lang.String className)

Type Parameters:
  `T` -
Parameters:
  `className` -
Returns:
  class instance or null